import java.awt.Dimension;
import java.awt.FontMetrics;
import java.awt.Graphics;

/**
 * @author F. Mallet
 *
 * MVC : vue sous forme de texte et de graphique
 */
public class VueGraph implements IVue {

    public void dessine(int valeur, Graphics g, java.awt.Component c) {
        g.setColor(java.awt.Color.blue);
        FontMetrics fm = g.getFontMetrics();
        int x = (c.getWidth()-120)>>1;
        int y = (c.getHeight()-fm.getHeight()-30)>>1;
 // dessine une ligne horizontale bleu
        g.drawLine(x+10, y+15, x+110, y+15);
        g.setColor(java.awt.Color.red);
        x += 10+valeur*2;  // chaque valeur d'tat compte 2 pixels
 // dessine une ligne verticale rouge (en fonction de l'tat)
        g.drawLine(x, y+25, x, y+5);
 // dessine le texte centr sous la ligne verticale
        g.drawString(valeur+"", x-(fm.stringWidth(valeur+"")>>1), y+25+fm.getAscent());
    }

    public Dimension getTaille(int valeur, java.awt.Component c) {
        FontMetrics fm = c.getFontMetrics(c.getFont());
        return new Dimension(120, fm.getHeight()+30);
    }

}