import java.awt.Dimension;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Component;

/**
 * @author F. Mallet
 *
 * MVC : vue sous forme de texte uniquement
 */
public class VueTexte implements IVue {

	public void dessine(int valeur, Graphics g, Component c) {
		String val = valeur+"";
		FontMetrics fm = g.getFontMetrics();
// calcule l'abscisse de dessin pour center le texte val
		int x = (c.getWidth()-fm.stringWidth(val))>>1;
// calcule l'ordonne de dessin pour center le texte val
		int y = fm.getAscent()+((c.getHeight()-fm.getHeight())>>1);
// dessine le texte val dans la zone graphique aux coordonnes (x,y)
		g.drawString(val, x, y);
	}

	public Dimension getTaille(int valeur, Component c) {
		FontMetrics fm = c.getFontMetrics(c.getFont());
		String val = valeur+"";
		return new Dimension(fm.stringWidth(val), fm.getHeight());
	}

}
